# cythereal-dashboard
 The API used exclusively by the MAGIC Dashboard for populating charts, graphs, tables, etc... on the dashboard.  # API Conventions  **All responses** MUST be of type `APIResponse` and contain the following fields:  * `api_version` |  The current api version * `success` | Boolean value indicating if the operation succeeded. * `code` | Status code. Typically corresponds to the HTTP status code.  * `message` | A human readable message providing more details about the operation. Can be null or empty.  **Successful operations** MUST return a `SuccessResponse`, which extends `APIResponse` by adding:  * `data` | Properties containing the response object. * `success` | MUST equal True  When returning objects from a successful response, the `data` object SHOULD contain a property named after the requested object type. For example, the `/alerts` endpoint should return a response object with `data.alerts`. This property SHOULD  contain a list of the returned objects. For the `/alerts` endpoint, the `data.alerts` property contains a list of MagicAlerts objects. See the `/alerts` endpoint documentation for an example.  **Failed Operations** MUST return an `ErrorResponse`, which extends `APIResponse` by adding:  * `success` | MUST equal False. 

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 0.0.5
- Build package: io.swagger.codegen.languages.PythonClientCodegen
For more information, please visit [https://cythereal.com](https://cythereal.com)

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import cythereal_dashboard 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import cythereal_dashboard
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import cythereal_dashboard
from cythereal_dashboard.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key_query_param
configuration = cythereal_dashboard.Configuration()
configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = cythereal_dashboard.AlertsApi(cythereal_dashboard.ApiClient(configuration))

try:
    # Create an alert for the user
    api_response = api_instance.create_alert()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AlertsApi->create_alert: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://api.magic.cythereal.com/dashboard*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AlertsApi* | [**create_alert**](docs/AlertsApi.md#create_alert) | **POST** /alerts/ | Create an alert for the user
*AlertsApi* | [**get_alert**](docs/AlertsApi.md#get_alert) | **GET** /alerts/{alert_id}/ | Get a specified alert
*AlertsApi* | [**list_alerts**](docs/AlertsApi.md#list_alerts) | **GET** /alerts/ | List alerts owned by the authenticated user.
*AlertsApi* | [**send_alert_email**](docs/AlertsApi.md#send_alert_email) | **GET** /alerts/{alert_id}/email/ | Sends email to user after alert creation.
*AlertsApi* | [**unread_alerts**](docs/AlertsApi.md#unread_alerts) | **GET** /alerts/unread/ | List unread alerts
*BinariesApi* | [**list_binaries**](docs/BinariesApi.md#list_binaries) | **GET** /binaries/ | Returns all binaries belonging to the user
*CampaignsApi* | [**get_campaign**](docs/CampaignsApi.md#get_campaign) | **GET** /campaigns/{campaign_id}/ | Retrieve a specific campaign
*CampaignsApi* | [**list_campaigns**](docs/CampaignsApi.md#list_campaigns) | **GET** /campaigns/ | List all owned campaigns
*CampaignsApi* | [**reprocess_campaign**](docs/CampaignsApi.md#reprocess_campaign) | **GET** /campaigns/{campaign_id}/reprocess/ | Reprocess/Update a given campaign
*InvestigationsApi* | [**add_to_investigation**](docs/InvestigationsApi.md#add_to_investigation) | **GET** /investigations/{investigation_name}/add/ | Adds a list of files to an investigation
*InvestigationsApi* | [**create_investigation**](docs/InvestigationsApi.md#create_investigation) | **POST** /investigations/{investigation_name}/ | Create a new Investigation
*InvestigationsApi* | [**get_investigation**](docs/InvestigationsApi.md#get_investigation) | **GET** /investigations/{investigation_name}/ | Retrieve a specific Investigation
*InvestigationsApi* | [**list_investigations**](docs/InvestigationsApi.md#list_investigations) | **GET** /investigations/ | List all investigations
*InvestigationsApi* | [**remove_from_investigation**](docs/InvestigationsApi.md#remove_from_investigation) | **GET** /investigations/{investigation_name}/remove/ | Removes a list of files from an investigation
*InvestigationsApi* | [**reprocess_investigation**](docs/InvestigationsApi.md#reprocess_investigation) | **GET** /investigations/{investigation_name}/reprocess/ | Reprocess/Update a specific Investigation


## Documentation For Models

 - [AddToInvestigation](docs/AddToInvestigation.md)
 - [AddToInvestigationResponse](docs/AddToInvestigationResponse.md)
 - [Alert](docs/Alert.md)
 - [AlertCreated](docs/AlertCreated.md)
 - [AlertEmailSent](docs/AlertEmailSent.md)
 - [AlertExists](docs/AlertExists.md)
 - [AlertList](docs/AlertList.md)
 - [AlertListResponse](docs/AlertListResponse.md)
 - [AlertModel](docs/AlertModel.md)
 - [ApiResponse](docs/ApiResponse.md)
 - [Binary](docs/Binary.md)
 - [BinaryList](docs/BinaryList.md)
 - [BinaryListResponse](docs/BinaryListResponse.md)
 - [BinaryModel](docs/BinaryModel.md)
 - [Campaign](docs/Campaign.md)
 - [CampaignList](docs/CampaignList.md)
 - [CampaignListResponse](docs/CampaignListResponse.md)
 - [CampaignModel](docs/CampaignModel.md)
 - [Category](docs/Category.md)
 - [Color](docs/Color.md)
 - [ErrorResponse](docs/ErrorResponse.md)
 - [Evasiveness](docs/Evasiveness.md)
 - [InvalidApiKey](docs/InvalidApiKey.md)
 - [Investigation](docs/Investigation.md)
 - [InvestigationExists](docs/InvestigationExists.md)
 - [InvestigationList](docs/InvestigationList.md)
 - [InvestigationListResponse](docs/InvestigationListResponse.md)
 - [InvestigationModel](docs/InvestigationModel.md)
 - [InvestigationName](docs/InvestigationName.md)
 - [MissingParameter](docs/MissingParameter.md)
 - [NewInvestigation](docs/NewInvestigation.md)
 - [RemoveFromInvestigation](docs/RemoveFromInvestigation.md)
 - [RemoveFromInvestigationResponse](docs/RemoveFromInvestigationResponse.md)
 - [Sha1](docs/Sha1.md)
 - [Size](docs/Size.md)
 - [SuccessResponse](docs/SuccessResponse.md)
 - [Timestamp](docs/Timestamp.md)
 - [UnauthorizedApiKey](docs/UnauthorizedApiKey.md)
 - [YaraId](docs/YaraId.md)
 - [YaraRule](docs/YaraRule.md)


## Documentation For Authorization


## api_key_query_param

- **Type**: API key
- **API key parameter name**: key
- **Location**: URL query string


## Author

support@cythereal.com

